## libpng 1.2.15~beta5

=== scripts/CMakeLists.txt ===
project(libpng)

SET(PNG_VER_MAJOR 1)
SET(PNG_VER_MINOR 2)
SET(PNG_VER_PATCH 15)

# needed packages
find_package(ZLIB REQUIRED)


# command line options
option(PNG_SHARED "Build shared lib" YES)
option(PNG_TESTS  "Build pngtest" YES)
#TODO:
# PNG_NO_CONSOLE_IO
# PNG_NO_STDIO
# PNG_CONSOLE_IO_SUPPORTED
# PNGARG
# some others :)

set(png_asm_tmp "OFF")
if(NOT WIN32)
  find_program(uname_executable NAMES uname PATHS /bin /usr/bin /usr/local/bin)
  if(uname_executable)
    EXEC_PROGRAM(${uname_executable} ARGS --machine OUTPUT_VARIABLE uname_output)
    if("uname_output" MATCHES "^.*i[1-9]86.*$")
       set(png_asm_tmp "ON")
    else("uname_output" MATCHES "^.*i[1-9]86.*$")
       set(png_asm_tmp "OFF")
    endif("uname_output" MATCHES "^.*i[1-9]86.*$")
  endif(uname_executable)
endif(NOT WIN32)

option(PNG_MMX "Use MMX assembler code (x86 only)" ${png_asm_tmp})


# msvc does not append 'lib' - do it here to have consistent name
if(MSVC)
  set(PNG_LIB_NAME lib)
endif(MSVC)
#set(PNG_LIB_NAME ${PNG_LIB_NAME}png-${PNG_VER_MAJOR}.${PNG_VER_MINOR})
set(PNG_LIB_NAME ${PNG_LIB_NAME}png)

# to distinguish between debug and release lib
set(CMAKE_DEBUG_POSTFIX "d")

# append _static to static lib
if(NOT PNG_SHARED)
  set(PNG_LIB_NAME ${PNG_LIB_NAME}_static)
endif(NOT PNG_SHARED)


# our sources
set(libpng_sources
  png.h
  pngconf.h
  png.c
  pngerror.c
  pngget.c
  pngmem.c
  pngpread.c
  pngread.c
  pngrio.c
  pngrtran.c
  pngrutil.c
  pngset.c
  pngtrans.c
  pngwio.c
  pngwrite.c
  pngwtran.c
  pngwutil.c
)
set(pngtest_sources
        pngtest.c
)


# Some needed definitions
add_definitions(-DZLIB_DLL)

if(MSVC)
  add_definitions(-DPNG_USE_PNGVCRD -DPNG_NO_MODULEDEF -D_CRT_SECURE_NO_DEPRECATE)
  set(libpng_sources ${libpng_sources}
          pngvcrd.c
  )
else(MSVC)
  add_definitions(-DPNG_USE_PNGGCCRD -DPNG_USE_GLOBAL_ARRAYS)
  set(libpng_sources ${libpng_sources}
          pnggccrd.c
  )
endif(MSVC)

if(NOT PNG_MMX)
  add_definitions(-DPNG_NO_MMX_CODE)
endif(NOT PNG_MMX)

if(NOT WIN32)
  find_library(M_LIBRARY
      NAMES m
      PATHS /usr/lib /usr/local/lib
  )
endif(NOT WIN32)

# now build our target
include_directories(${CMAKE_SOURCE_DIR} ${ZLIB_INCLUDE_DIR})

if(PNG_SHARED)
  add_library(${PNG_LIB_NAME} SHARED ${libpng_sources})
else(PNG_SHARED)
  add_library(STATIC ${libpng_sources})
endif(PNG_SHARED)

target_link_libraries(${PNG_LIB_NAME} ${ZLIB_LIBRARY} ${M_LIBRARY})
if(PNG_SHARED AND WIN32)
  set_target_properties(${PNG_LIB_NAME} PROPERTIES DEFINE_SYMBOL PNG_BUILD_DLL)
endif(PNG_SHARED AND WIN32)

if(PNG_TESTS)
# does not work with msvc due to png_lib_ver issue
  add_executable(pngtest ${pngtest_sources})
  target_link_libraries(pngtest ${PNG_LIB_NAME})
#  add_test(pngtest ${CMAKE_SOURCE_DIR}/pngtest.png)
endif(PNG_TESTS)


# install
install_targets(/bin ${PNG_LIB_NAME})
install(FILES libpng.so libpng.a DESTINATION lib)
install(FILES png.h pngconf.h DESTINATION include)
install(FILES libpng.3 libpngpf.3 DESTINATION man/man3)
# what's with libpng.txt and all the extra files?


# uninstall
# do we need this?


# dist
# do we need this?

# to create msvc import lib for mingw compiled shared lib
# pexports libpng.dll > libpng.def
# lib /def:libpng.def /machine:x86

## libpng 1.2.27

=== scripts/CMakeLists.txt ===
                                             
project(PNG)

# Copyright (C) 2007 Glenn Randers-Pehrson
# For conditions of distribution and use, see copyright notice in png.h

set(PNGLIB_MAJOR 1)
set(PNGLIB_MINOR 2)
set(PNGLIB_RELEASE 27)
set(PNGLIB_NAME libpng${PNGLIB_MAJOR}${PNGLIB_MINOR})
set(PNGLIB_VERSION ${PNGLIB_MAJOR}.${PNGLIB_MINOR}.${PNGLIB_RELEASE})

# needed packages
find_package(ZLIB REQUIRED)
if(NOT WIN32)
 find_library(M_LIBRARY
     NAMES m
     PATHS /usr/lib /usr/local/lib
 )
 if(NOT M_LIBRARY)
   message(STATUS
     "math library 'libm' not found - floating point support disabled")
 endif(NOT M_LIBRARY)
else(NOT WIN32)
 # not needed on windows
 set(M_LIBRARY "")
endif(NOT WIN32)


# COMMAND LINE OPTIONS
option(PNG_SHARED "Build shared lib" YES)
option(PNG_STATIC "Build static lib" YES)
if(MINGW)
  option(PNG_TESTS  "Build pngtest" NO)
else(MINGW)
  option(PNG_TESTS  "Build pngtest" YES)
endif(MINGW)
option(PNG_NO_CONSOLE_IO "FIXME" YES)
option(PNG_NO_STDIO      "FIXME" YES)
option(PNG_DEBUG         "Build with debug output" YES)
option(PNGARG            "FIXME" YES)
#TODO:
# PNG_CONSOLE_IO_SUPPORTED

# maybe needs improving, but currently I don't know when we can enable what :)
set(png_asm_tmp "OFF")
if(NOT WIN32)
 find_program(uname_executable NAMES uname PATHS /bin /usr/bin /usr/local/bin)
 if(uname_executable)
   EXEC_PROGRAM(${uname_executable} ARGS --machine OUTPUT_VARIABLE uname_output)
   if("uname_output" MATCHES "^.*i[1-9]86.*$")
      set(png_asm_tmp "ON")
   else("uname_output" MATCHES "^.*i[1-9]86.*$")
      set(png_asm_tmp "OFF")
   endif("uname_output" MATCHES "^.*i[1-9]86.*$")
 endif(uname_executable)
else(NOT WIN32)
 # this env var is normally only set on win64
 SET(TEXT "ProgramFiles(x86)")
 if("$ENV{${TEXT}}" STREQUAL "")
  set(png_asm_tmp "ON")
 endif("$ENV{${TEXT}}" STREQUAL "")
endif(NOT WIN32)

# SET LIBNAME
# msvc does not append 'lib' - do it here to have consistent name
if(MSVC)
 set(PNG_LIB_NAME lib)
endif(MSVC)
set(PNG_LIB_NAME ${PNG_LIB_NAME}png${PNGLIB_MAJOR}${PNGLIB_MINOR})

# to distinguish between debug and release lib
set(CMAKE_DEBUG_POSTFIX "d")


# OUR SOURCES
set(libpng_sources
 png.h
 pngconf.h
 png.c
 pngerror.c
 pngget.c
 pngmem.c
 pngpread.c
 pngread.c
 pngrio.c
 pngrtran.c
 pngrutil.c
 pngset.c
 pngtrans.c
 pngwio.c
 pngwrite.c
 pngwtran.c
 pngwutil.c
)
set(pngtest_sources
       pngtest.c
)
# SOME NEEDED DEFINITIONS
if(MSVC)
  add_definitions(-DPNG_NO_MODULEDEF -D_CRT_SECURE_NO_DEPRECATE)
endif(MSVC)

add_definitions(-DZLIB_DLL)

add_definitions(-DLIBPNG_NO_MMX)
add_definitions(-DPNG_NO_MMX_CODE)

if(PNG_CONSOLE_IO_SUPPORTED)
 add_definitions(-DPNG_CONSOLE_IO_SUPPORTED)
endif(PNG_CONSOLE_IO_SUPPORTED)

if(PNG_NO_CONSOLE_IO)
 add_definitions(-DPNG_NO_CONSOLE_IO)
endif(PNG_NO_CONSOLE_IO)

if(PNG_NO_STDIO)
 add_definitions(-DPNG_NO_STDIO)
endif(PNG_NO_STDIO)

if(PNG_DEBUG)
 add_definitions(-DPNG_DEBUG)
endif(PNG_DEBUG)

if(NOT M_LIBRARY AND NOT WIN32)
 add_definitions(-DPNG_NO_FLOATING_POINT_SUPPORTED)
endif(NOT M_LIBRARY AND NOT WIN32)

# NOW BUILD OUR TARGET
include_directories(${PNG_SOURCE_DIR} ${ZLIB_INCLUDE_DIR})

if(PNG_SHARED)
 add_library(${PNG_LIB_NAME} SHARED ${libpng_sources})
 target_link_libraries(${PNG_LIB_NAME} ${ZLIB_LIBRARY} ${M_LIBRARY})
endif(PNG_SHARED)
if(PNG_STATIC)
# does not work without changing name
 set(PNG_LIB_NAME_STATIC ${PNG_LIB_NAME}_static)
 add_library(${PNG_LIB_NAME_STATIC} STATIC ${libpng_sources})
endif(PNG_STATIC)

if(PNG_SHARED AND WIN32)
 set_target_properties(${PNG_LIB_NAME} PROPERTIES DEFINE_SYMBOL PNG_BUILD_DLL)
endif(PNG_SHARED AND WIN32)

if(PNG_TESTS)
# does not work with msvc due to png_lib_ver issue
 add_executable(pngtest ${pngtest_sources})
 target_link_libraries(pngtest ${PNG_LIB_NAME})
#  add_test(pngtest ${PNG_SOURCE_DIR}/pngtest.png)
endif(PNG_TESTS)


# CREATE PKGCONFIG FILES
# we use the same files like ./configure, so we have to set its vars
set(prefix      ${CMAKE_INSTALL_PREFIX})
set(exec_prefix ${CMAKE_INSTALL_PREFIX})
set(libdir      ${CMAKE_INSTALL_PREFIX}/lib)
set(includedir  ${CMAKE_INSTALL_PREFIX}/include)

configure_file(${PNG_SOURCE_DIR}/scripts/libpng.pc.in
  ${PNG_BINARY_DIR}/libpng.pc)
configure_file(${PNG_SOURCE_DIR}/scripts/libpng-config.in
  ${PNG_BINARY_DIR}/libpng-config)
configure_file(${PNG_SOURCE_DIR}/scripts/libpng.pc.in
  ${PNG_BINARY_DIR}/${PNGLIB_NAME}.pc)
configure_file(${PNG_SOURCE_DIR}/scripts/libpng-config.in
  ${PNG_BINARY_DIR}/${PNGLIB_NAME}-config)

# SET UP LINKS
set_target_properties(${PNG_LIB_NAME} PROPERTIES
#    VERSION 0.${PNGLIB_RELEASE}.1.2.27
     VERSION 0.${PNGLIB_RELEASE}.0
     SOVERSION 0
     CLEAN_DIRECT_OUTPUT 1)
if(NOT WIN32)
  # that's uncool on win32 - it overwrites our static import lib...
  set_target_properties(${PNG_LIB_NAME_STATIC} PROPERTIES
     OUTPUT_NAME ${PNG_LIB_NAME}
     CLEAN_DIRECT_OUTPUT 1)
endif(NOT WIN32)
# INSTALL
install_targets(/lib ${PNG_LIB_NAME})
if(PNG_STATIC)
  install_targets(/lib ${PNG_LIB_NAME_STATIC})
endif(PNG_STATIC)

install(FILES png.h pngconf.h         DESTINATION include)
install(FILES png.h pngconf.h         DESTINATION include/${PNGLIB_NAME})
install(FILES libpng.3 libpngpf.3             DESTINATION man/man3)
install(FILES png.5                           DESTINATION man/man5)
install(FILES ${PNG_BINARY_DIR}/libpng.pc     DESTINATION lib/pkgconfig)
install(FILES ${PNG_BINARY_DIR}/libpng-config      DESTINATION bin)
install(FILES ${PNG_BINARY_DIR}/${PNGLIB_NAME}.pc  DESTINATION lib/pkgconfig)
install(FILES ${PNG_BINARY_DIR}/${PNGLIB_NAME}-config DESTINATION bin)

# what's with libpng.txt and all the extra files?


# UNINSTALL
# do we need this?


# DIST
# do we need this?

# to create msvc import lib for mingw compiled shared lib
# pexports libpng.dll > libpng.def
# lib /def:libpng.def /machine:x86

## libpng 1.2.27-2ubuntu2.2common0sendai2

=== debian/changelog ===
libpng (1.2.27-2ubuntu2.2common0sendai2) jaunty; urgency=low

  * SECURITY UPDATE: fix integer overflow / truncation
    - debian/patches/10-CVE-2011-3026.patch: adjust pngrutil.c to verify size
      when allocating memory in png_decompress_chunk()
    - CVE-2011-3026
  * SECURITY UPDATE: denial of service and possible code execution via
    incorrect type.
    - debian/patches/11-CVE-2011-3045.patch: use correct type, properly
      handle odd chunk lengths, fix off-by-one in pngrutil.c.
    - CVE-2011-3045
  * SECURITY UPDATE: denial of service and possible code execution via
    memory corruption issue.
    - debian/patches/12-CVE-2011-3048.patch: correctly restore to previous
      condition in pngset.c.
    - CVE-2011-3048

 -- Jun Kobayashi <kobayashi@kobayasystem.jp>  Wed, 25 Apr 2012 06:11:50 +0900

libpng (1.2.27-2ubuntu2.2common0araneo1) jaunty; urgency=low

  * SECURITY UPDATE: denial of service via error message data
    - debian/patches/07-CVE-2011-2501.patch: correctly calculate length in
      pngerror.c.
    - CVE-2011-2501
  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via crafted PNG image
    - debian/patches/08-CVE-2011-2690.patch: validate coefficients in
      pngrtran.c.
    - CVE-2011-2690
  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via invalid sCAL chunks
    - debian/patches/09-CVE-2011-2692.patch: check sCAL chunk length in
      pngrutil.c.
    - CVE-2011-2692

 -- Jun Kobayashi <kobayashi@kobayasystem.jp>  Thu, 03 Nov 2011 02:24:03 +0900

libpng (1.2.27-2ubuntu2.2) jaunty-security; urgency=low

  * SECURITY UPDATE: arbitrary code execution from additional data row via
    malformed PNG image
    - debian/patches/05-CVE-2010-1205.patch: check for unexpected data
      after the last row in pngpread.c.
    - CVE-2010-1205
  * SECURITY UPDATE: denial of service via memory leak from malformed sCAL
    chunks
    - debian/patches/06-CVE-2010-2249.patch: properly free memory in
      pngrutil.c.
    - CVE-2010-2249

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 05 Jul 2010 13:00:03 -0400

libpng (1.2.27-2ubuntu2.1) jaunty-security; urgency=low

  * SECURITY UPDATE: denial of service via decompression bomb (LP: #533140)
    - debian/patches/03-CVE-2010-0205.patch: use new two-pass decompression
      method in pngrutil.c.
    - CVE-2010-0205
  * SECURITY UPDATE: information disclosure via 1-bit interlaced images
    - debian/patches/04-CVE-2009-2042.patch: initialize memory in
      pngrutil.c.
    - CVE-2009-2042

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 15 Mar 2010 11:00:47 -0400

libpng (1.2.27-2ubuntu2) jaunty; urgency=low

  * SECURITY UPDATE: denial of service and possible execution of arbitrary
    code via crafted image (LP: #338027)
    - debian/patches/02-CVE-2009-0040.diff: initialize pointers in pngread.c,
      pngrtans.c, pngset.c and example.c
    - CVE-2009-0040
  * SECURITY UPDATE: denial of service via incorrect memory assignment
    (LP: #324258)
    - debian/patches/02-CVE-2008-5907.diff: update pngwutil.c to properly set
      new_key to NULL string
    - CVE-2008-5907

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 05 Mar 2009 14:15:45 -0600

libpng (1.2.27-2ubuntu1) jaunty; urgency=low

  * debian/rules: Work around missing definition of ECHO.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 16 Nov 2008 11:43:54 +0100

libpng (1.2.27-2) unstable; urgency=medium

  * Fix CVE-2008-3964: off-by-one error in pngtest.c; closes: #501109 
  * Standards-Version is 3.8.0

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 04 Oct 2008 19:45:17 +1000

libpng (1.2.27-1) unstable; urgency=low

  * New upstream release
  * Patches merged upstream:
    debian/patches/02-476669-CVE-2008-1382.diff
    debian/patches/03-404514-png.5.diff
  * Run ./autogen.sh

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 29 Apr 2008 17:22:16 +1000

libpng (1.2.26-1) unstable; urgency=high

  * New upstream release. Closes: #431202
  * Use quilt
    Add 01-legacy.diff
  * Fix CVE-2008-1382 denial of service and possibly code execution
    Add 02-476669-CVE-2008-1382.diff
    Closes: #476669
  * Fix URL in png.5. Closes: #404514
    Add 03-404514-png.5.diff
  * Move examples to libpng12-dev. Closes: #401467
  * Fix "libpng (<= 1.2.20) contains grey-licensed code". Closes: #469126
  * Fix the following lintian issues:
    W: libpng source: debian-rules-ignores-make-clean-error line 37
    W: libpng source: substvar-source-version-is-deprecated libpng12-dev
    W: libpng source: out-of-date-standards-version 3.7.2 (current is 3.7.3)
    W: libpng12-0-udeb udeb: description-contains-homepage
    W: libpng3: description-contains-homepage
    W: libpng12-dev: description-contains-homepage
    W: libpng12-0: package-contains-empty-directory usr/bin/
    W: libpng12-0: package-contains-empty-directory usr/sbin/
    W: libpng12-0: description-contains-homepage
    W: libpng12-0: doc-base-unknown-section libpng12:22 Apps/Programming

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 20 Apr 2008 18:22:32 +1000

libpng (1.2.15~beta5-3) unstable; urgency=high

  * ACKed NMU. 
  * Fixed out-of-bounds read operations triggered by crafted
    png image files (CVE-2007-5269) (Closes: #446308).

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 14 Oct 2007 09:55:00 +1000

libpng (1.2.15~beta5-2.1) unstable; urgency=high

  * Non-maintainer upload by testing security team.
  * Fixed out-of-bounds read operations triggered by crafted
    png image files (CVE-2007-5269) (Closes: #446308).

 -- Nico Golde <nion@debian.org>  Sun, 14 Oct 2007 01:12:51 +0200

libpng (1.2.15~beta5-2) unstable; urgency=high

  * It seems that a grayscale image with a malformed (bad CRC) tRNS
    chunk will crash libpng and mozilla. Closes: #424729.
    - CVE-2007-2445
      http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=2007-2445
    - CERT Vulnerability Note VU#684664


=== debian/control ===
Source: libpng
Section: libs
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Build-Depends: debhelper (>= 5), libtool, automake, autoconf, quilt (>= 0.40), zlib1g-dev, mawk
Standards-Version: 3.8.0
Homepage: http://www.libpng.org/pub/png/libpng.html

Package: libpng12-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libpng12-dev (<= 1.2.8rel-7), mzscheme (<= 1:209-5), pngcrush (<= 1.5.10-2), pngmeta (<= 1.11-3), qemacs (<= 0.3.1-5), povray-3.5 (<= 3.5.0c-10)
Replaces: libpng12-dev (<= 1.2.8rel-7)
Description: PNG library - runtime
 libpng is a library implementing an interface for reading and writing
 PNG (Portable Network Graphics) format files.
 .
 This package contains the runtime library files needed to run software
 using libpng.

Package: libpng12-dev
Section: libdevel
Architecture: any
Depends: libpng12-0 (= ${binary:Version}), zlib1g-dev
Conflicts: libpng2-dev, libpng-dev, libpng12-0-dev, libpng2 (<< 1.0.12-3)
Provides: libpng-dev, libpng12-0-dev, libpng3-dev
Replaces: libpng3-dev (<= 1.2.5), libpng12-0-dev
Description: PNG library - development
 libpng is a library implementing an interface for reading and writing
 PNG (Portable Network Graphics) format files.
 .
 This package contains the header and development files needed to build
 programs and packages using libpng.

Package: libpng3
Section: oldlibs
Architecture: all
Depends: libpng12-0 (>= 1.2.5.0-2)
Description: PNG library - runtime
 libpng is a library implementing an interface for reading and writing
 PNG (Portable Network Graphics) format files.
 .
 This package is superseded by libpng12-0, and is provided only for
 transitional purposes.

Package: libpng12-0-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PNG library - minimal runtime library
 libpng is a library implementing an interface for reading and writing
 PNG (Portable Network Graphics) format files.
 .
 This package provides the minimal libpng12 runtime library needed for
 the debian-installer.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/quilt/quilt.make

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	#cp -f /usr/share/misc/config.sub /usr/share/misc/config.guess .
	./autogen.sh
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"

build: patch build-stamp
build-stamp:  config.status
	dh_testdir
	$(MAKE) ECHO=echo
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess
	dh_clean pngtest-static

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp ECHO=echo install

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	gcc -Wall -g -O2 -c -o pngtest.o pngtest.c
	gcc -o pngtest -Wall -g -O2 pngtest.o -L.libs -lpng12
	gcc -o pngtest-static -Wall -g -O2  pngtest.o .libs/libpng.a -lz -lm
	LD_LIBRARY_PATH=".libs:" ./pngtest
	./pngtest-static
endif

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_link
	dh_installchangelogs CHANGES
	dh_installdocs
	dh_installexamples -plibpng12-dev example.c pngtest.c pngtest.png
	dh_install --sourcedir=debian/tmp
	dh_installman
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs --add-udeb=libpng12-0-udeb
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
ftp://ftp.simplesystems.org/pub/libpng/png/src/libpng-([\d\.]+).tar.gz debian uupdate

## libpng 1.2.42

=== debian/changelog ===
libpng (1.2.42-1ubuntu2.5) lucid-security; urgency=low

  * SECURITY UPDATE: denial of service and possible code execution via
    memory corruption issue.
    - debian/patches/CVE-2011-3048.patch: correctly restore to previous
      condition in pngset.c.
    - CVE-2011-3048

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 05 Apr 2012 08:43:48 -0400

libpng (1.2.42-1ubuntu2.4) lucid-security; urgency=low

  * SECURITY UPDATE: denial of service and possible code execution via
    incorrect type.
    - debian/patches/09-CVE-2011-3045.patch: use correct type, properly
      handle odd chunk lengths, fix off-by-one in pngrutil.c.
    - CVE-2011-3045

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 21 Mar 2012 13:38:15 -0400

libpng (1.2.42-1ubuntu2.3) lucid-security; urgency=low

  * SECURITY UPDATE: fix integer overflow / truncation
    - debian/patches/08-CVE-2011-3026.patch: adjust pngrutil.c to verify size
      when allocating memory in png_decompress_chunk()
    - CVE-2011-3026

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 15 Feb 2012 21:22:27 -0600

libpng (1.2.42-1ubuntu2.2) lucid-security; urgency=low

  * SECURITY UPDATE: denial of service via error message data
    - debian/patches/05-CVE-2011-2501.patch: correctly calculate length in
      pngerror.c.
    - CVE-2011-2501
  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via crafted PNG image
    - debian/patches/06-CVE-2011-2690.patch: validate coefficients in
      pngrtran.c.
    - CVE-2011-2690
  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via invalid sCAL chunks
    - debian/patches/07-CVE-2011-2692.patch: check sCAL chunk length in
      pngrutil.c.
    - CVE-2011-2692

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 26 Jul 2011 08:41:48 -0400

libpng (1.2.42-1ubuntu2.1) lucid-security; urgency=low

  * SECURITY UPDATE: arbitrary code execution from additional data row via
    malformed PNG image
    - debian/patches/03-CVE-2010-1205.patch: check for unexpected data
      after the last row in pngpread.c.
    - CVE-2010-1205
  * SECURITY UPDATE: denial of service via memory leak from malformed sCAL
    chunks
    - debian/patches/04-CVE-2010-2249.patch: properly free memory in
      pngrutil.c.
    - CVE-2010-2249

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 05 Jul 2010 11:27:57 -0400

libpng (1.2.42-1ubuntu2) lucid; urgency=low

  * SECURITY UPDATE: denial of service via decompression bomb (LP: #533140)
    - debian/patches/02-CVE-2010-0205.patch: use new two-pass decompression
      method in pngrutil.c.
    - CVE-2010-0205

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 11 Mar 2010 14:22:24 -0500

libpng (1.2.42-1ubuntu1) lucid; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - Move libpng from /usr/lib to /lib, so that plymouth is usable on
      systems with a separate /usr.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 28 Jan 2010 11:57:34 +0000

libpng (1.2.42-1) unstable; urgency=low

  * New upstream release
  * Remove 02-export-png_set_strip_error_numbers.patch (merged)
  * Fix debhelper-but-no-misc-depends

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 16 Jan 2010 17:53:14 +1100

libpng (1.2.41-1ubuntu1) lucid; urgency=low

  * Move libpng from /usr/lib to /lib, so that plymouth is usable on systems
    with a separate /usr.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 25 Jan 2010 00:18:15 -0800

libpng (1.2.41-1) unstable; urgency=low

  * New upstream release
  * Debian source format is 3.0 (quilt)
  * Update debian/watch
  * Add 02-export-png_set_strip_error_numbers.patch
    Define PNG_ERROR_NUMBERS_SUPPORTED
    Upstream doesn't define PNG_ERROR_NUMBERS_SUPPORTED since 1.2.41. As
    a consecuence, the symbol png_set_strip_error_numbe@@PNG12_0 wasn't
    exported.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 04 Dec 2009 11:23:50 +1100

libpng (1.2.40-1) unstable; urgency=low

  * New upstream release

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 07 Oct 2009 12:44:09 +1100

libpng (1.2.39-1) unstable; urgency=low

  * New upstream release
  * Fix out-of-date-standards-version
  * Fix patch-system-but-no-source-readme

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 20 Aug 2009 14:57:46 +1000

libpng (1.2.38-1) unstable; urgency=low

  * New upstream release
  * Fix out-of-date-standards-version
  * Update upstream homepage
    Closes: 536474

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 18 Jul 2009 05:44:23 +1000

libpng (1.2.37-1) unstable; urgency=low

  * New upstream release

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 04 Jun 2009 23:03:58 +1000

libpng (1.2.36-1) unstable; urgency=low

  * New upstream release
  * Standards-Version is 3.8.1
  * debhelper compat is 7
  * Run dh_prep instead of dh_clean -k

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 22 May 2009 09:11:26 +1000

libpng (1.2.35-1) unstable; urgency=high

  * New upstream release
    - http://secunia.com/advisories/33970/
      Fix a vulnerability reported by Tavis Ormandy in which
      some arrays of pointers are not initialized prior to using
      "malloc" to define the pointers.
      Closes: #516256
    - http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-5907
      The png_check_keyword function in pngwutil.c in libpng, might
      allow context-dependent attackers to set the value of an
      arbitrary memory location to zero via vectors involving
      creation of crafted PNG files with keywords, related to an
      implicit cast of the '\0' character constant to a NULL pointer.
  * Don't build libpng3 when binary-indep target is not called.
    Closes: #486415

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 21 Feb 2009 15:50:52 +1100

libpng (1.2.33-2) unstable; urgency=low

  * Fix the following lintian issues:
    W: libpng12-0: copyright-refers-to-versionless-license-file


=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: libpng
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
-Build-Depends: debhelper (>= 5), libtool, automake, autoconf, quilt (>= 0.40), zlib1g-dev, mawk
-Standards-Version: 3.8.0
-Homepage: http://www.libpng.org/pub/png/libpng.html
+Build-Depends: debhelper (>= 7), libtool, automake, autoconf, zlib1g-dev, mawk
+Standards-Version: 3.8.3
+Homepage: http://libpng.org/pub/png/libpng.html
 
 Package: libpng12-0
 Section: libs
@@ -24,7 +24,7 @@
 Package: libpng12-dev
 Section: libdevel
 Architecture: any
-Depends: libpng12-0 (= ${binary:Version}), zlib1g-dev
+Depends: ${misc:Depends}, libpng12-0 (= ${binary:Version}), zlib1g-dev
 Conflicts: libpng2-dev, libpng-dev, libpng12-0-dev, libpng2 (<< 1.0.12-3)
 Provides: libpng-dev, libpng12-0-dev, libpng3-dev
 Replaces: libpng3-dev (<= 1.2.5), libpng12-0-dev
@@ -38,7 +38,7 @@
 Package: libpng3
 Section: oldlibs
 Architecture: all
-Depends: libpng12-0 (>= 1.2.5.0-2)
+Depends: ${misc:Depends}, libpng12-0 (>= 1.2.5.0-2)
 Description: PNG library - runtime
  libpng is a library implementing an interface for reading and writing
  PNG (Portable Network Graphics) format files.

## libpng 1.2.44

=== debian/changelog ===
libpng (1.2.44-1ubuntu3) natty; urgency=low

  * Build for multiarch.  Requires converting libpng3 from Arch: all to
    Arch: any.  
  * Drop debian/libpng12-0-udeb.dirs, which just adds a pointless empty
    directory to the udeb.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 19 Mar 2011 17:51:38 -0700

libpng (1.2.44-1ubuntu2) natty; urgency=low

  * Really fix debian/libpng3.links; the symlink goes in /usr/lib and the
    target in /lib, not the other way around.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 27 Feb 2011 11:21:08 -0800

libpng (1.2.44-1ubuntu1) natty; urgency=low

  * debian/libpng3.links: fix up the compat symlink to point to /lib.
    Closes: #579074, LP: #284325.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 22 Jan 2011 13:21:17 -0800

libpng (1.2.44-1) unstable; urgency=low

  * New upstream release 
    Stop memory leak when reading a malformed sCAL chunk

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 26 Jun 2010 13:32:43 +1000

libpng (1.2.43-1) unstable; urgency=high

  * New upstream release 
  * Fix CVE-2010-0205 and Cert VU#576029
    http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-0205
    https://www.kb.cert.org/vuls/id/576029
    Do not stall and consume large quantities of memory while processing
    certain Portable Network Graphics (PNG) files
    Closes: 572308

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 03 Mar 2010 16:44:47 +1100

libpng (1.2.42-2) unstable; urgency=low

  * Merge 1.2.42-1ubuntu1
    Move libpng from /usr/lib to /lib, so that plymouth is usable on
    systems with a separate /usr.
  * Fix out-of-date-standards-version

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 14 Feb 2010 13:09:51 +1100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
-Build-Depends: debhelper (>= 7), libtool, automake, autoconf, zlib1g-dev, mawk
-Standards-Version: 3.8.3
+Build-Depends: debhelper (>= 8.1.2ubuntu2), libtool, automake, autoconf, zlib1g-dev, mawk
+Standards-Version: 3.8.4
 Homepage: http://libpng.org/pub/png/libpng.html
 
 Package: libpng12-0
@@ -14,6 +14,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libpng12-dev (<= 1.2.8rel-7), mzscheme (<= 1:209-5), pngcrush (<= 1.5.10-2), pngmeta (<= 1.11-3), qemacs (<= 0.3.1-5), povray-3.5 (<= 3.5.0c-10)
 Replaces: libpng12-dev (<= 1.2.8rel-7)
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: PNG library - runtime
  libpng is a library implementing an interface for reading and writing
  PNG (Portable Network Graphics) format files.
@@ -37,8 +39,9 @@
 
 Package: libpng3
 Section: oldlibs
-Architecture: all
+Architecture: any
 Depends: ${misc:Depends}, libpng12-0 (>= 1.2.5.0-2)
+Multi-Arch: same
 Description: PNG library - runtime
  libpng is a library implementing an interface for reading and writing
  PNG (Portable Network Graphics) format files.

## libpng 1.2.46

=== debian/changelog ===
libpng (1.2.46-3ubuntu4.3) precise-security; urgency=medium

  * SECURITY UPDATE: Null pointer dereference
    - debian/patches/CVE-2016-10087.patch: fix in png.c.
    - CVE-2016-10087

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 10 Jul 2018 16:56:50 -0300

libpng (1.2.46-3ubuntu4.2) precise-security; urgency=medium

  * SECURITY UPDATE: overflows in png_handle_zTXt(), png_handle_sPLT(),
    png_handle_pCAL(), and png_set_PLTE()
    - debian/patches/CVE-2015-8472.patch: check lengths in pngrutil.c,
      properly use info_ptr in pngset.c.
    - CVE-2015-8472
  * SECURITY UPDATE: out-of-range read in png_check_keyword()
    - debian/patches/CVE-2015-8540.patch: check key_len in pngwutil.c.
    - CVE-2015-8540

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 18 Dec 2015 09:54:56 -0500

libpng (1.2.46-3ubuntu4.1) precise-security; urgency=medium

  [ Andrew Starr-Bochicchio ]
  * SECURITY UPDATE: Multiple buffer overflows in the (1) png_set_PLTE
    and (2) png_get_PLTE (LP: #1516592).
    - debian/patches/CVE-2015-8126.diff: Prevent writing over-length
      PLTE chunk and silently truncate over-length PLTE chunk while reading.
      Backported from upstream patch.
    - CVE-2015-8126

  [ Marc Deslauriers ]
  * SECURITY UPDATE: out of bounds read in png_set_tIME
    - debian/patches/CVE-2015-7981.patch: check bounds in png.c and
      pngset.c.
    - CVE-2015-7981
  * SECURITY UPDATE: out of bounds read in png_push_read_zTXt
    - debian/patches/CVE-2012-3425.patch: check for truncated chunk in
      pngpread.c.
    - CVE-2012-3425

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 19 Nov 2015 08:05:59 -0500

libpng (1.2.46-3ubuntu4) precise; urgency=low

  * SECURITY UPDATE: denial of service and possible code execution via
    memory corruption issue.
    - debian/patches/CVE-2011-3048.patch: correctly restore to previous
      condition in pngset.c.
    - CVE-2011-3048

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 05 Apr 2012 08:21:56 -0400

libpng (1.2.46-3ubuntu3) precise; urgency=low

  * SECURITY UPDATE: denial of service and possible code execution via
    incorrect type.
    - debian/patches/CVE-2011-3045.patch: use correct type, properly handle
      odd chunk lengths, fix off-by-one in pngrutil.c.
    - CVE-2011-3045

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 21 Mar 2012 13:16:18 -0400

libpng (1.2.46-3ubuntu2) precise; urgency=low

  * SECURITY UPDATE: fix integer overflow / truncation
    - debian/patches/CVE-2011-3026.patch: adjust pngrutil.c to verify size
      when allocating memory in png_decompress_chunk()
    - CVE-2011-3026

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 15 Feb 2012 21:10:29 -0600

libpng (1.2.46-3ubuntu1) oneiric; urgency=low

  * Revert to gzip compression for libpng12-0's data tarball.  Packages in
    the base system may not use bzip2.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 10 Aug 2011 21:25:16 +0100

libpng (1.2.46-3) unstable; urgency=low

  * libpng12-0-udeb: Don't use bzip2 compression
    Closes: 634865

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 27 Jul 2011 12:44:46 +1000

libpng (1.2.46-2) unstable; urgency=low

  [ Steve Langasek ]
  * Build for multiarch.  Requires converting libpng3 from Arch: all to
    Arch: any. Closes: 634151
  * Drop debian/libpng12-0-udeb.dirs, which just adds a pointless empty
    directory to the udeb.

  [ Anibal Monsalve Salazar ]
  * Fix doc-base file
    Closes: 633944, 633957, 634120
  * Pass "-Zbzip2 -z9" to dpkg-deb

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 18 Jul 2011 22:05:48 +1000

libpng (1.2.46-1) unstable; urgency=high

  * New upstream release (Closes: #633871).
    - Fix CVE: CVE-2011-2690
      Buffer overwrite in png_rgb_to_gray
    - CVE: CVE-2011-2691
      Crash in png_default_error due to use of NULL Pointer
    - CVE: CVE-2011-2692
      Memory corruption when handling empty sCAL chunks
    - Update patches/01-legacy.patch
    - Remove patches/02-632786-CVE-2011-2501.patch. Applied to upstream.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 15 Jul 2011 11:47:49 +0900

libpng (1.2.44-3) unstable; urgency=high

  * Fix 1-byte uninitialized memory reference in png_format_buffer()
    Fix CVE-2011-2501
    Add debian/patches/02-632786-CVE-2011-2501.patch
    Closes: 632786
  * Standards version is 3.9.2
  * Fix xc-package-type-in-debian-control
  * Fix debian-rules-missing-recommended-target

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 06 Jul 2011 10:04:32 +1000

libpng (1.2.44-2) unstable; urgency=low

  * debian/libpng3.links: fix up the compat symlink to point to /lib
    Patch by Steve Langasek
    Closes: #579074, LP: #284325

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 13 Mar 2011 14:40:33 +1100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
-Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
-Build-Depends: debhelper (>= 8.1.2ubuntu2), libtool, automake, autoconf, zlib1g-dev, mawk
-Standards-Version: 3.8.4
+Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
+Build-Depends: debhelper (>= 8.1.3), libtool, automake, autoconf, zlib1g-dev, mawk
+Standards-Version: 3.9.2
 Homepage: http://libpng.org/pub/png/libpng.html
 
 Package: libpng12-0
@@ -50,7 +50,7 @@
  transitional purposes.
 
 Package: libpng12-0-udeb
-XC-Package-Type: udeb
+Package-Type: udeb
 Section: debian-installer
 Priority: extra
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	#cp -f /usr/share/misc/config.sub /usr/share/misc/config.guess .
	./autogen.sh
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr --mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
		CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:  config.status
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess
	dh_clean pngtest-static

install: build
	dh_testdir
	dh_testroot
	dh_prep
	set -e; for file in libpng12-0.install libpng12-dev.links libpng3.links; \
	do \
		sed -e"s,\$${DEB_HOST_MULTIARCH},${DEB_HOST_MULTIARCH},g" \
			debian/$${file}.in > debian/$$file; \
	done
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	gcc -Wall -g -O2 -c -o pngtest.o pngtest.c
	gcc -o pngtest -Wall -g -O2 pngtest.o -L.libs -lpng12
	gcc -o pngtest-static -Wall -g -O2  pngtest.o .libs/libpng.a -lz -lm
	LD_LIBRARY_PATH=".libs:" ./pngtest
	./pngtest-static
endif

binary-indep: build install

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_link -a
	dh_installchangelogs -a CHANGES
	dh_installdocs -a
	dh_installexamples -plibpng12-dev example.c pngtest.c pngtest.png
	dh_install --sourcedir=debian/tmp -a
	dh_installman -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs --add-udeb=libpng12-0-udeb -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -plibpng12-0
	dh_builddeb -plibpng12-dev -- -Zbzip2 -z9
	dh_builddeb -plibpng3 -- -Zbzip2 -z9
	dh_builddeb -plibpng12-0-udeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## libpng 1.2.47

=== debian/changelog ===
libpng (1.2.47-1) unstable; urgency=low

  * New upstream version 1.2.47

    The purpose of this release is to fix the dangerous CVE-2011-3026.
    The libpng patch is different from the one that was distributed
    earlier by Chromium, in that the libpng user limit feature is not
    crippled by the patch.

    Remove 02-660026-CVE-2011-3026.patch

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 19 Feb 2012 12:10:18 +1100

libpng (1.2.46-5) unstable; urgency=high

  * Check for both truncation (64-bit platforms) and integer overflow
    Fix CVE-2011-3026
    Add 02-660026-CVE-2011-3026.patch
    Closes: 660026

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 16 Feb 2012 08:21:54 +1100

libpng (1.2.46-4) unstable; urgency=low

  * Update debian/rules.
    Enabled hardened build flags. (Closes: #654149)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 09 Jan 2012 21:23:43 +0900

## libpng 1.2.49

=== debian/changelog ===
libpng (1.2.49-1+deb7u2) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add patches to address CVE-2015-8472.
    CVE-2015-8472: Incomplete fix for callers on png_set_PLTE. (Closes: #807112)
  * Add CVE-2015-8540.patch patch.
    CVE-2015-8540: underflow read in png_check_keyword(). (Closes: #807694)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 07 Jan 2016 20:07:15 +0100

libpng (1.2.49-1+deb7u1) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add CVE-2015-7981.patch patch.
    CVE-2015-7981: Out-of-bounds read in png_convert_to_rfc1123.
    (Closes: #803078)
  * Add Prevent-writing-over-length-PLTE-chunk-Cosm.patch patch.
    CVE-2015-8126: Multiple buffer overflows in the png_set_PLTE and
    png_get_PLTE functions. (Closes: #805113)
  * Add Fixed-new-bug-with-CRC-error-after-reading-.patch patch.
    Fixed new bug with CRC error after reading an over-length palette.

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 17 Nov 2015 19:31:24 +0100

libpng (1.2.49-1) unstable; urgency=high

  * New upstream version 1.2.49
    - Fix CVE-2011-3048 (memory corruption flaw)
      Closes: 667475
    - Don't crash with electric fence memory debugger
      Closes: 668082
  * Merged upstream: 02-665208-CVE-2012-3045.patch 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 09 Apr 2012 12:08:13 +1000

libpng (1.2.47-2) unstable; urgency=high

  * Fix Buffer overflow
    Fix CVE-2012-3045
    Add 02-665208-CVE-2012-3045.patch
    Closes: 665208
  * Standards Version is 3.9.3

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 27 Mar 2012 12:04:46 +1100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: libpng
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
+Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Build-Depends: debhelper (>= 8.1.3), libtool, automake, autoconf, zlib1g-dev, mawk
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://libpng.org/pub/png/libpng.html
 
 Package: libpng12-0

=== debian/rules ===
--- 
+++ 
@@ -10,13 +10,11 @@
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-CFLAGS = -Wall -g
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
+CFLAGS = `dpkg-buildflags --get CFLAGS`
+CFLAGS += -Wall
+LDFLAGS = `dpkg-buildflags --get LDFLAGS`
+LDFLAGS += "-Wl,-z,defs"
+CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`
 
 config.status: configure
 	dh_testdir
@@ -26,7 +24,7 @@
 		--prefix=/usr --mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info \
 		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
-		CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
+		CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 build: build-arch build-indep
 build-arch: build-stamp
@@ -83,7 +81,7 @@
 	dh_shlibdeps -a
 	dh_gencontrol -a
 	dh_md5sums -a
-	dh_builddeb -plibpng12-0
+	dh_builddeb -plibpng12-0 -- -Zbzip2 -z9
 	dh_builddeb -plibpng12-dev -- -Zbzip2 -z9
 	dh_builddeb -plibpng3 -- -Zbzip2 -z9
 	dh_builddeb -plibpng12-0-udeb
